FROM python:3.9

ENV TZ="Asia/Tokyo"

WORKDIR /usr/src/app
COPY Pipfile Pipfile.lock ./
RUN \
    apt update -y && \
    # パッケージのセキュリティアップデートのみを適用するコマンド
    apt install -y unattended-upgrades && \
    unattended-upgrades && \
    pip install --upgrade pip wheel setuptools && \
    pip install pipenv --no-cache-dir && \
    pipenv install --system --deploy && \
    pip uninstall -y pipenv virtualenv-clone virtualenv

COPY src ./src
COPY entrypoint.py entrypoint.py 

CMD ["python", "entrypoint.py"]
